Subject: bug#62578: 30.0.50; [PATCH] Add regression tests for synchronous processes in Eshell

From: Jim Porter <[email-masked]>
Date: Sat, 1 Apr 2023 00:40:16 -0700

On 4/1/2023 12:22 AM, Eli Zaretskii wrote:
> I don't understand why not use Emacs instead of all those external
> commands.  That solves all the problems nicely and portably, and still
> allows you to do anything you want.

Mostly just so that the tests are easier to understand, but for these 
newly-added ones, I think they should be easy enough to understand no 
matter what. I'll try using Emacs.

My only concern there is making Emacs do something reasonable when 
piping data into it, but I can just try a few things out, and if it 
really doesn't work, the existing tests in my patch are hopefully still 
better than nothing.